import 'package:flutter_map/flutter_map.dart';
import '../entity/marker.dart';

abstract class MapMarkerInterface {
  //修改标记物，需注意id，如果标记物id已存在则执行修改操作，否则执行添加操作
  void updateOrAddMarkers(List<Marker> markers);

  void updateOrAddMarker(Marker marker);

  //marker全地图替换，需对比之前缓存的，如果有则更新，没有则移除；当markers为空时，执行清空操作
  void replaceAllMarkers(List<Marker> markers);

  void clearAllMarkers();

  //清除指定标记物
  void removeMarker(String markerId);
}
